SSL decryption error

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Please sign in to see details of an important advisory in our Customer Advisories area.

SSL decryption error

L4 Transporter

I had configured SSL decryption on PaloAlto VM-50 before 6-7 months ago. There was working normally till today. Today some users get below error when they want to enter site. There is shown “decrypt-cert-validation” message on PaloAlto traffic logs. There isn’t shown any error on PaloAlto and on user computer When I disable SSL decryption rule.image005.jpg

4 REPLIES 4

L3 Networker

It seems when you have the decryption rule enabled, firewall is failing to decrypt the session and ending with cert validation error.

Open up a case with TAC to check why the decryption is failing.

There was a bug reported on 7.1.4 code for 3k devices where the decryption failed to proxy memory pool exhaustion and was fixed on 7.1.11 or 8.0.3

 

But getting a validation from TAC engineer would be the first step here.

Any other suggestions? it was working until  4 days ago

As previously mentioned, have you contacted TAC?

 

Aside from that, what version of PAN-OS are you running?  On two seperate occurances my company ran into SSL decyption issues 5060 HA-pair running 7.1.6 where we hit a bug and needed to upgrade to 7.1.10.  Then again where we needed to upgrade to 7.1.12 from 7.1.10.  (We got the same log message you did in traffic logs)

 

It's very likely you could be running into the same bugs we did, but the only way to confirm is to open a TAC case.

 

In our case we simply failed to passive HA device and I think rebooted the previously active 5060.  But the end fix was upgrading out of the bug.


@Radmin_85 wrote:

Any other suggestions? it was working until  4 days ago


 

I looked through my old cases...Just for clarity the bugs were in 7.1.6 and 7.1.10:

 

7.1.10 - Bug - PAN‐75337
7.1.6   - Bug - PAN-76535

 

 

 

*Edit* --  (I'd still suggest a case with TAC) 

 

I'll bet you're hitting Bug - PAN-76535.  The summary of my case on 7.1.6 is below:

 

 

" Session end-reason "decrypt-cert-validation". Client browser receives "ERR_SSL_VERSION_OR_CIPHER_MISMATCH". 

Reboot fixes the issue."

  • 3535 Views
  • 4 replies
  • 0 Likes
Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!